
import java.util.ArrayList;

public class QueueDriver {

	public static void main(String[] args) {
		//QueueInterface<String> q = new SingleLinkedListQueue<>();
		QueueInterface<String> q = new DoubleLinkedListQueue<>();
		q.add("q");
		q.add("u");
		q.add("e");
		q.add("u");
		q.add("e");
		
		for (int i = 0; i < 5; ++i) {
			String s = q.remove();
			System.out.println(s);
			q.add(s);
		}
		
		ArrayList<String> r = new ArrayList<>();
		for (int i = 0; i < 100007; ++i) {
			r.add(q.peek());
		}
		boolean correct = r.parallelStream().allMatch((String x) -> {
			return x.equals("q");
		});
		System.out.println(correct);
		System.out.println(q.peek());
	}

}
