package section2;

public class SinglyNode<E> {
	public E data;
	public SinglyNode<E> next;
	
	public SinglyNode() {
		this(null, null);
	}
	
	public SinglyNode(E data) {
		this(data, null);
	}
	
	public SinglyNode(SinglyNode<E> next) {
		this(null, next);
	}
	
	public SinglyNode(E data, SinglyNode<E> next) {
		this.data = data;
		this.next = next;
	}
}
